=== src/Makefile ===
# -------------------------------------------------------------------- 
# SMS Client, send messages to mobile phones and pagers		
#									
# Makefile								
#									
#  Copyright (C) 1997,1998,1999 Angelo Masci					
#									
#  This library is free software; you can redistribute it and/or	
#  modify it under the terms of the GNU Library General Public		
#  License as published by the Free Software Foundation; either	
#  version 2 of the License, or (at your option) any later version.	
#									
#  This library is distributed in the hope that it will be useful,	
#  but WITHOUT ANY WARRANTY; without even the implied warranty of	
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU	
#  Library General Public License for more details.			
#									
#  You should have received a copy of the GNU Library General Public	
#  License along with this library; if not, write to the Free		
#  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.	
#									
#  You can contact the author at this e-mail address:			
#									
#  angelo@styx.demon.co.uk						
#									
# -------------------------------------------------------------------- 
# $Id: Makefile,v 5.1 1998/02/01 07:10:39 root Exp root $
# -------------------------------------------------------------------- 

include ../Makefile.config

# --------------------------------------------------------------------

all: 
	cd common ; $(MAKE)
	cd logfile ; $(MAKE)
	cd driver ; $(MAKE)
	cd client ; $(MAKE)
	cd parser ; $(MAKE)
#	cd server ; $(MAKE)
#	cd queue ; $(MAKE)
	cd terminal ; $(MAKE)

install: 
	cd logfile ; $(MAKE) install
	cd client ; $(MAKE) install
#	cd server ; $(MAKE) install
#	cd queue ; $(MAKE) install
	
uninstall:
#	cd queue ; $(MAKE) uninstall
#	cd server ; $(MAKE) uninstall
	cd client ; $(MAKE) uninstall
	cd logfile ; $(MAKE) uninstall
	
clean:
	cd common ; $(MAKE) clean
	cd logfile ; $(MAKE) clean
	cd client ; $(MAKE) clean
	cd driver ; $(MAKE) clean
	cd parser ; $(MAKE) clean
#	cd server ; $(MAKE) clean
#	cd queue ; $(MAKE) clean
	cd comms ; $(MAKE) clean
	cd resource ; $(MAKE) clean
	cd lock ; $(MAKE) clean
	cd terminal ; $(MAKE) clean

# --------------------------------------------------------------------
