=== src/comms/Makefile ===
# -------------------------------------------------------------------- 
# SMS Client, send messages to mobile phones and pagers		
#									
# Makefile								
#									
#  Copyright (C) 1997,1998,1999 Angelo Masci					
#									
#  This library is free software; you can redistribute it and/or	
#  modify it under the terms of the GNU Library General Public		
#  License as published by the Free Software Foundation; either	
#  version 2 of the License, or (at your option) any later version.	
#									
#  This library is distributed in the hope that it will be useful,	
#  but WITHOUT ANY WARRANTY; without even the implied warranty of	
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU	
#  Library General Public License for more details.			
#									
#  You should have received a copy of the GNU Library General Public	
#  License along with this library; if not, write to the Free		
#  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.	
#									
#  You can contact the author at this e-mail address:			
#									
#  angelo@styx.demon.co.uk						
#									
# -------------------------------------------------------------------- 
# $Id$
# -------------------------------------------------------------------- 

include ../../Makefile.config

# --------------------------------------------------------------------

all: comms.a

clean:
	$(RM) *.o *.bak comms.a 

# --------------------------------------------------------------------

INCLUDE = -I..

comms.a: expect.o modem.o tcpip.o base64.o url.o http.o http_tread.o http_twrite.o
	$(RM) comms.a 
	$(AR) comms.a expect.o modem.o tcpip.o base64.o url.o http.o http_tread.o http_twrite.o
	$(RANLIB) comms.a

expect.o: expect.c
	$(CC) $(CFLAGS) -c expect.c $(INCLUDE)

base64.o: base64.c base64.h
	$(CC) $(CFLAGS) -c base64.c $(INCLUDE)

url.o: url.c url.h
	$(CC) $(CFLAGS) -c url.c $(INCLUDE)

http.o: http.c http.h http_tread.h http_twrite.h
	$(CC) $(CFLAGS) -c http.c $(INCLUDE)

http_tread.o: http_tread.c http_tread.h
	$(CC) $(CFLAGS) -c http_tread.c $(INCLUDE)

http_twrite.o: http_twrite.c http_twrite.h
	$(CC) $(CFLAGS) -c http_twrite.c $(INCLUDE)

modem.o: modem.c
	$(CC) $(CFLAGS) -c modem.c -DMMODEMDIR="\"$(MSERVICEDIR)\"" $(INCLUDE)

tcpip.o: tcpip.c
	$(CC) $(CFLAGS) -c tcpip.c $(INCLUDE)

# --------------------------------------------------------------------
