=== debian/changelog ===
smsclient (2.0.8z-9) unstable; urgency=low

  * Add Catalan translation, thanks to Jordà Polo. (closes: #412302)
  * Add Galician translation, thanks to Jacobo Tarrio. (closes: #412239)
  * Cleanup grammar errors in debconf template. (closes: #412317)

 -- Jonathan McDowell <noodles@earth.li>  Thu, 01 Mar 2007 13:52:44 +0000

smsclient (2.0.8z-8) unstable; urgency=low

  * Add Spanish translation, thanks to Jose Ignacio Méndez González and
    Javier Fernández-Sanguino Peña. (closes: #403539)
  * Updated German translation, thanks to Helge Kreutzmann (closes: #402048)
  * Add missing build-dep on po-debconf.

 -- Jonathan McDowell <noodles@earth.li>  Thu, 22 Feb 2007 20:09:37 +0000
