=== debian/control ===
Source: smsclient
Section: comm
Priority: optional
Maintainer: Jonathan McDowell <noodles@earth.li>
Build-Depends: debhelper (>= 4.1.16), po-debconf
Standards-Version: 3.7.2.0

Package: smsclient
Architecture: any
Depends: ${shlibs:Depends},${misc:Depends}
Suggests:
Description: A program for sending short messages (SM / SMS)
 smsclient is a tool for sending short messages (SM - often false
 named SMS). SM can be sent to mobile phones. Additional some
 paging systems are supported by this tool. smsclient supports
 the common protocols UCP, TAP and some other. Out of the box there
 is preconfigured support for many local services, but smsclient
 can be easily extended to support other systems.
